Schedules
Get a schedule
Retrieves the specified schedule resource.
Parâmetros de consulta
api-version
string
exigido
The API version to use for this operation.
Parâmetros de caminho
id
string
exigido
Identifier of the schedule.
Parâmetros do cabeçalho
Foundry-Features
enum
exigido
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Respostas
The request has succeeded.
Corpo
id
string
exigido
Identifier of the schedule.
displayName
string
Name of the schedule.
description
string
Description of the schedule.
enabled
boolean
exigido
Enabled status of the schedule.
provisioningStatus
string | enum
Schedule provisioning status.
enum
trigger
Cron | Recurrence | OneTime
exigido
Base model for Trigger of the schedule.
Cron
CronTrigger
Cron based trigger.
type
enum
exigido
expression
string
exigido
Cron expression that defines the schedule frequency.
timeZone
string
Time zone for the cron schedule. Defaults to UTC.
startTime
string
Start time for the cron schedule in ISO 8601 format.
endTime
string
End time for the cron schedule in ISO 8601 format.
Recurrence
RecurrenceTrigger
Recurrence based trigger.
type
enum
exigido
Type of the trigger.
startTime
string
Start time for the recurrence schedule in ISO 8601 format.
endTime
string
End time for the recurrence schedule in ISO 8601 format.
timeZone
string
Time zone for the recurrence schedule. Defaults to UTC.
interval
integer
exigido
Interval for the recurrence schedule.
schedule
Hourly | Daily | Weekly | Monthly
exigido
Recurrence schedule model.
Hourly
HourlyRecurrenceSchedule
Hourly recurrence schedule.
type
enum
exigido
Daily
DailyRecurrenceSchedule
Daily recurrence schedule.
type
enum
exigido
Daily recurrence type.
hours
integer[]
exigido
Hours for the recurrence schedule.
Weekly
WeeklyRecurrenceSchedule
Weekly recurrence schedule.
type
enum
exigido
Weekly recurrence type.
daysOfWeek
DayOfWeek[]
exigido
Days of the week for the recurrence schedule.
Monthly
MonthlyRecurrenceSchedule
Monthly recurrence schedule.
type
enum
exigido
Monthly recurrence type.
daysOfMonth
integer[]
exigido
Days of the month for the recurrence schedule.
OneTime
OneTimeTrigger
One-time trigger.
type
enum
exigido
triggerAt
string
exigido
Date and time for the one-time trigger in ISO 8601 format.
timeZone
string
Time zone for the one-time trigger. Defaults to UTC.
task
Evaluation | Insight
exigido
Schedule task model.
Evaluation
EvaluationScheduleTask
Evaluation task for the schedule.
type
enum
exigido
evalId
string
exigido
Identifier of the evaluation group.
evalRun
object
exigido
The evaluation run payload.
Insight
InsightScheduleTask
Insight task for the schedule.
type
enum
exigido
insight
Insight
exigido
The response body for cluster insights.
id
string
exigido
The unique identifier for the insights report.
metadata
InsightsMetadata
exigido
Metadata about the insights.
createdAt
string
exigido
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
exigido
Enum describing allowed operation states.
enum
displayName
string
exigido
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
exigido
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
exigido
The type of insights request.
evalId
string
exigido
Evaluation Id for the insights.
runIds
string[]
exigido
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
exigido
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
exigido
The type of request.
agentName
string
exigido
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
exigido
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
exigido
The type of request.
evalId
string
exigido
Identifier for the evaluation.
baselineRunId
string
exigido
The baseline run ID for comparison.
treatmentRunIds
string[]
exigido
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
exigido
The type of insights result.
comparisons
EvalRunResultComparison[]
exigido
Comparison results for each treatment run against the baseline.
method
string
exigido
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
exigido
The type of insights result.
clusterInsight
ClusterInsightResult
exigido
Insights from the cluster analysis.
summary
InsightSummary
exigido
Summary of the error cluster analysis.
sampleCount
integer
exigido
Total number of samples analyzed.
uniqueSubclusterCount
integer
exigido
Total number of unique subcluster labels.
uniqueClusterCount
integer
exigido
Total number of unique clusters.
method
string
exigido
Method used for clustering.
usage
ClusterTokenUsage
exigido
Token usage for cluster analysis
inputTokenUsage
integer
exigido
input token usage
outputTokenUsage
integer
exigido
output token usage
totalTokenUsage
integer
exigido
total token usage
clusters
InsightCluster[]
exigido
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
exigido
X-axis coordinate.
y
integer
exigido
Y-axis coordinate.
size
integer
exigido
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
exigido
The type of insights result.
clusterInsight
ClusterInsightResult
exigido
Insights from the cluster analysis.
summary
InsightSummary
exigido
Summary of the error cluster analysis.
sampleCount
integer
exigido
Total number of samples analyzed.
uniqueSubclusterCount
integer
exigido
Total number of unique subcluster labels.
uniqueClusterCount
integer
exigido
Total number of unique clusters.
method
string
exigido
Method used for clustering.
usage
ClusterTokenUsage
exigido
Token usage for cluster analysis
inputTokenUsage
integer
exigido
input token usage
outputTokenUsage
integer
exigido
output token usage
totalTokenUsage
integer
exigido
total token usage
clusters
InsightCluster[]
exigido
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
exigido
X-axis coordinate.
y
integer
exigido
Y-axis coordinate.
size
integer
exigido
Size of the chart element.
tags
object
Schedule's tags. Unlike properties, tags are fully mutable.
properties
object
Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
systemData
object
exigido
System metadata for the resource.
Solicitar
GET /schedules/{id} HTTP/1.1
Resposta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json